"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InProgress = void 0;
var react_1 = __importDefault(require("react"));
var lottie_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/lottie"));
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var InProgress = function (props) {
    var _a, _b;
    var primaryColor = props.primaryColor, text = props.text;
    return (react_1.default.createElement("div", { className: "flex flex-row w-full items-center ".concat((_a = props.className) !== null && _a !== void 0 ? _a : ""), style: (_b = props.style) !== null && _b !== void 0 ? _b : {} },
        react_1.default.createElement("div", { className: "h-10 pl-5" },
            react_1.default.createElement(lottie_1.default, { className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(primaryColor[500]) })),
        (0, core_1.isNonEmptyString)(text) && (react_1.default.createElement("div", { className: "flex-1 text-base text-".concat(primaryColor.name, "-500 p-2") }, text))));
};
exports.InProgress = InProgress;
//# sourceMappingURL=in-progress.js.map