import { CSSProperties } from "react";
export type TSiteTitleSize = "h1" | "h2" | "h3" | "h4";
export type TSiteSubtitleSize = "h2" | "h3" | "h4" | "h5";
export type TSiteTitleProps = {
    title?: string;
    subTitle?: string;
    titleStyle?: CSSProperties;
    titleSize?: TSiteTitleSize;
    subTitleSize?: TSiteSubtitleSize;
    titleClassName?: string;
    subTitleStyle?: CSSProperties;
    subTitleClassName?: string;
};
export declare const SiteTitle: (props: TSiteTitleProps) => JSX.Element;
export default SiteTitle;
