import { CSSProperties } from "react";
import { TSiteTitleSize } from "./site-title";
export type TSitePageSectionProps = {
    solution: Record<string, any>;
    page: Record<string, any>;
    urlTemplate: string;
    titleSize?: TSiteTitleSize;
    media?: string;
    tagSectionTitle?: string;
    maxTagCount?: number;
    similarSectionAdditionalData?: Record<string, any>[];
    similarSectionTitle?: string;
    navigation?: Record<string, any>[];
    flushCache?: boolean;
    onClickLogo?: () => void;
};
export type TSitePageHeroAreaProps = {
    className?: string;
    style?: CSSProperties;
    content?: string;
    width?: number;
    media?: string;
};
export declare const SitePageHeroArea: (props: TSitePageHeroAreaProps) => JSX.Element;
export declare const SitePageSection: (props: TSitePageSectionProps) => JSX.Element;
export default SitePageSection;
