import { CSSProperties } from "react";
import { TSiteTitleSize, TSiteSubtitleSize } from "./site-title";
import { TTagBorderClass } from "primeobjects-ui-web-basic/build/cjs/controls/tags";
export type TSiteTagsSectionProps = {
    data: string[];
    wrapperClassName?: string;
    tagsClassName?: string;
    tagClassName?: string;
    textClassName?: string;
    textStyle?: CSSProperties;
    tagBorderClassName?: TTagBorderClass;
    title?: string;
    subTitle?: string;
    colorName: string;
    titleSize?: TSiteTitleSize;
    titleClassName?: string;
    subTitleClassName?: string;
    subTitleSize?: TSiteSubtitleSize;
    disableShorten?: boolean;
    onClick?: (tag: string) => void;
};
export declare const SiteTagsSection: (props: TSiteTagsSectionProps) => JSX.Element;
export default SiteTagsSection;
